TransactionEnvironment (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.spi
Interface TransactionEnvironment

All Known Implementing Classes:
  TransactionEnvironmentImpl

    public interface TransactionEnvironment

Provides access to transactional services.

Method Summary
`JdbcServices` | `getJdbcServices()` Retrieve the JDBC services for this environment.
`JtaPlatform` | `getJtaPlatform()` Retrieve the JTA platform for this environment.
`SessionFactoryImplementor` | `getSessionFactory()` Retrieve the session factory for this environment.
`StatisticsImplementor` | `getStatisticsImplementor()` Get access to the statistics collector
`TransactionFactory` | `getTransactionFactory()` Retrieve the transaction factory for this environment.

Method Detail

### getSessionFactory

    SessionFactoryImplementor getSessionFactory()

  Retrieve the session factory for this environment.

  Returns:
    The session factory

### getJdbcServices

    JdbcServices getJdbcServices()

  Retrieve the JDBC services for this environment.

  Returns:
    The JDBC services

### getJtaPlatform

    JtaPlatform getJtaPlatform()

  Retrieve the JTA platform for this environment.

  Returns:
    The JTA platform

### getTransactionFactory

    TransactionFactory getTransactionFactory()

  Retrieve the transaction factory for this environment.

  Returns:
    The transaction factory

### getStatisticsImplementor

    StatisticsImplementor getStatisticsImplementor()

  Get access to the statistics collector

  Returns:
    The statistics collector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.